<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>cl.colmena.dapc</groupId>
	<artifactId>valida-caracteres-sp</artifactId>
	<version>0.0.1-SNAPSHOT</version>
	<build>
	    <finalName>valida-caracteres-sp</finalName>
	    <plugins>
	
	        <plugin>
			      <groupId>org.apache.maven.plugins</groupId>
			      <artifactId>maven-compiler-plugin</artifactId>
			      <version>3.6.1</version>
			      <configuration>
			        <source>1.8</source>
			        <target>1.8</target>
			      </configuration>
		    </plugin>
	        <plugin>
	            <groupId>org.apache.maven.plugins</groupId>
	            <artifactId>maven-assembly-plugin</artifactId>
	            <version>3.1.1</version>
	
	            <configuration>
            		<archive>
			          <manifest>
			            <mainClass>cl.colmena.dapc.tools.valida_caracteres_sp.Main</mainClass>
			          </manifest>
			        </archive>
	                <descriptorRefs>
	                    <descriptorRef>jar-with-dependencies</descriptorRef>
	                </descriptorRefs>
	            </configuration>
	
	            <executions>
	                <execution>
	                    <id>make-assembly</id>
	                    <phase>package</phase>
	                    <goals>
	                        <goal>single</goal>
	                    </goals>
	                </execution>
	            </executions>
	
	        </plugin>
	    </plugins>
	</build>
	<dependencies>		
		<dependency>
		    <groupId>com.google.guava</groupId>
		    <artifactId>guava</artifactId>
		    <version>10.0.1</version>
		</dependency>
	</dependencies>
</project>